gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gnunet] 03/05: ci: add build job


From: gnunet
Subject: [gnunet] 03/05: ci: add build job
Date: Wed, 11 Oct 2023 22:56:39 +0200

This is an automated email from the git hooks/post-receive script.

dvn pushed a commit to branch master
in repository gnunet.

commit 482cbc11aea3cf1165b21431dcfba8f6d8786c46
Author: Devan Carpenter <git@dvn.me>
AuthorDate: Thu Oct 5 18:05:29 2023 -0400

    ci: add build job
---
 ci/jobs/0-build/build.sh | 10 ++++++++++
 ci/jobs/0-build/job.sh   |  6 ++++++
 2 files changed, 16 insertions(+)

diff --git a/ci/jobs/0-build/build.sh b/ci/jobs/0-build/build.sh
new file mode 100755
index 000000000..a5a89ca82
--- /dev/null
+++ b/ci/jobs/0-build/build.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+set -exuo pipefail
+
+./bootstrap
+./configure CFLAGS="-ggdb -O0" \
+           --enable-logging=verbose \
+           --disable-doc
+
+make -j $(nproc)
+make install
diff --git a/ci/jobs/0-build/job.sh b/ci/jobs/0-build/job.sh
new file mode 100755
index 000000000..8d79902c5
--- /dev/null
+++ b/ci/jobs/0-build/job.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+set -exuo pipefail
+
+job_dir=$(dirname "${BASH_SOURCE[0]}")
+
+"${job_dir}"/build.sh

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]